// Eg9_1View.h : interface of the CEg9_1View class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_EG9_1VIEW_H__BAEBC11A_E651_4DD1_8EC0_3128CA9B139B__INCLUDED_)
#define AFX_EG9_1VIEW_H__BAEBC11A_E651_4DD1_8EC0_3128CA9B139B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


class CEg9_1View : public CView
{
protected: // create from serialization only
	CEg9_1View();
	DECLARE_DYNCREATE(CEg9_1View)

// Attributes
public:
	CEg9_1Doc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CEg9_1View)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CEg9_1View();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CEg9_1View)
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in Eg9_1View.cpp
inline CEg9_1Doc* CEg9_1View::GetDocument()
   { return (CEg9_1Doc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_EG9_1VIEW_H__BAEBC11A_E651_4DD1_8EC0_3128CA9B139B__INCLUDED_)
